Page MenuHomeFreeBSD

devel/elfio: Fix on GCC architectures
ClosedPublic

Authored by pkubaj on Apr 17 2019, 7:46 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sat, Feb 25, 11:32 AM
Unknown Object (File)
Feb 21 2023, 8:06 AM
Unknown Object (File)
Feb 14 2023, 10:06 AM
Unknown Object (File)
Jan 10 2023, 7:22 PM
Unknown Object (File)
Dec 25 2022, 4:22 PM
Unknown Object (File)
Dec 25 2022, 4:10 PM
Unknown Object (File)
Dec 4 2022, 4:44 AM
Subscribers
None

Details

Summary

The port requires C++11-compatible compiler:
../../elfio/elfio_strings.hpp:95: error: expected nested-name-specifier before 'string_section_accessor'
../../elfio/elfio_strings.hpp:95: error: 'string_section_accessor' has not been declared
../../elfio/elfio_strings.hpp:95: error: expected `;' before '=' token
../../elfio/elfio_strings.hpp:95: error: expected unqualified-id before '=' token
../../elfio/elfio_strings.hpp:96: error: expected nested-name-specifier before 'const_string_section_accessor'
../../elfio/elfio_strings.hpp:96: error: 'const_string_section_accessor' has not been declared
../../elfio/elfio_strings.hpp:96: error: expected `;' before '=' token
../../elfio/elfio_strings.hpp:96: error: expected unqualified-id before '=' token

Approved by maintainer in https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237312

Test Plan

Test build on architectures with GCC in base.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Apr 18 2019, 12:59 PM
This revision was automatically updated to reflect the committed changes.